code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash echo "Installing modules..." insmod mysql_sequence_driver.ko insmod mysql_sequence_handler.ko echo "Creating devices files..." if [ -e /dev/mysql_seq_dev ] then echo "devices already created" else mknod /dev/mysql_seq_dev c 100 0 mknod /dev/mysql_seq_handler c 101 0 fi echo "Success!"
pedrocruzlopez/sequence_generator
modules/mysql/insmod.sh
Shell
gpl-3.0
312
#!/bin/sh # Read the documentation from http://www.postfix.org/FILTER_README.html # Simple shell-based filter. It is meant to be invoked as follows: # /path/to/script -f sender recipients... # Localize these. The -G option does nothing before Postfix 2.3. INSPECT_DIR=/var/spool/filter SENDMAIL="/usr/sbin/sendm...
danij/PostfixAttachmentFilter
filter.sh
Shell
gpl-3.0
851
#!/bin/sh cd ui npm install -g grunt-cli bower npm install bower install grunt test cd ..
Gab0rB/weplantaforest
ui/run-ui-test-on-travis.sh
Shell
gpl-3.0
92
#!/bin/bash echo | sudo add-apt-repository ppa:webupd8team/brackets sudo apt-get update sudo apt-get install -y puppet sudo cp -r ./finaldigi /etc/puppet/modules/pakettimoduuli sudo puppet apply -e 'class {pakettimoduuli:}' sudo cp -r template.html /var/www/html/index.html firefox 'localhost'
leksenderi/Digimoduuli
startup.sh
Shell
gpl-3.0
294
#!/bin/bash MountDir='/media/Temple of The Binary Data' CODE='sefho023wt0pva34thwtu' VM_NAME='Window 7' #์™ธ์žฅ ํ•˜๋“œ ๋””์Šคํฌ๊ฐ€ ๋งˆ์šดํŠธ๋˜์–ด์žˆ์Œ์ด ํ™•์ธ๋˜๋ฉด if [ -d "$MountDir" ]; then #ํด๋”๋ฅผ ์—ด๊ณ  caja "$MountDir" #๋งˆ์šดํŠธ๋˜์–ด์žˆ์ง€ ์•Š๋‹ค๋ฉด else #๊ฐ€์ƒ๋จธ์‹ ์„ ์‹คํ–‰ํ•ฉ๋‹ˆ๋‹ค. /usr/lib/virtualbox/VirtualBox --comment "$VM_NAME" --startvm "$CODE" fi exit
Thestar3Preservation/ScriptPack
Bash Shell Script/virtualbox_to_usbc.sh
Shell
gpl-3.0
393
#!/bin/bash wget -o /dev/null -q -O $HOME/wallpaper.html http://www.lostsheep.com/lj.php 2>/dev/null wget -o /dev/null -q -O $HOME/wallpaper `grep "img src" $HOME/wallpaper.html |head -n1 |sed -e "s/.*img src=.\(.*\). alt.*/\1/"` 2>/dev/null # testing #eog /tmp/wallpaper & # reset background with a non-existent imag...
wwood/bbbin
autoupdate_wallpaper.sh
Shell
gpl-3.0
610
#!/bin/bash # Provides: dockerfeliz # Required-Start: # Required-Stop: # Should-Start: # Should-Stop: # Short-Desctiprion: arranque y parada oraclefeliz # Description: para el oracle feliz docker start 3b1
googolplex/librocomprasv4
gitfeliz/docker_arrancar.sh
Shell
gpl-3.0
210
#!/system/bin/sh # Script principal - Manualify # Por Luiz Nickel e Pedro Franco @ Shelleprechaun echo "seu superusuario foi ativado?" sleep 2 echo "caso funcionar, o superusuario foi configurado corretamente!" sleep 2 echo "caso aparecer uma caralhada de erro em Java, o superusuario nao foi ativado ou voce nao o possu...
leprechaunproject/shelleprechaun
Manualify/manualify.sh
Shell
mpl-2.0
711
#!/bin/bash # ============================================================================= # Project: vagrant-atlassian # # Purpose: Restore {Confluence, JIRA} backups # # The backups can be fetched from: # 1. A remote server running Confluence/JIRA # 2. A tarball # 3. A Clonezilla image # # Known issues and li...
gmacario/vagrant-atlassian
do-extract-backups.sh
Shell
mpl-2.0
4,190
#!/bin/bash HARAKA_DIR=/usr/src/app echo "$HQ_DOMAIN" > "$HARAKA_DIR/config/me" echo "$REAL_DOMAIN" > "$HARAKA_DIR/config/host_list" echo "dn1=cn=%u,$USER_BASE_DN" >> "$HARAKA_DIR/config/auth_ldap.ini" cat > "$HARAKA_DIR/config/smtp_forward.ini" <<EOF host=$FORWARD_HOST port=$FORWARD_PORT enable_tls=$FORWARD_USE_TLS ...
cloudfleet/zeppelin-haraka
scripts/start.sh
Shell
agpl-3.0
427
#!/bin/bash #Edit the next two lines as appropriate time='22:30 oct 2' file='music/sam.ogg' #Don't change anything below this line SCHEDULE='_schedule.sh' chmod +x $SCHEDULE ./$SCHEDULE $file "$time"
papio/papio_nix
run.sh
Shell
agpl-3.0
202
#!/bin/bash # xtc - The eXTensible Compiler # Copyright (C) 2009-2012 New York University # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # version 2 as published by the Free Software Foundation. # # This program is distributed in the hope...
wandoulabs/xtc-rats
xtc-core/src/main/java/xtc/lang/cpp/scripts/graph_performance_cdf.sh
Shell
lgpl-2.1
3,644
#!/bin/bash #################################################################### # script to apply json commands to start the db usage # @author nicolas malservet # @version 1.0 #################################################################### mongo qualityformsdb --port 32020 -u qfuseradmin -p 'bbanques2015' ./...
Biobanques/qualityforms
webapp/protected/data/resetdb.sh
Shell
lgpl-3.0
524
#! /bin/sh srcdir=$1 shift while [ $# -ne 0 ]; do f=$1 shift x=`echo $f|sed -e 's,\.\([ch]\),.gir.\1,g'` echo "$x: $srcdir/$f \$(srcdir)/gengir.sh Makefile" echo " \$(AM_V_GEN) \$(srcdir)/gengir.sh \$(top_srcdir)/liblangtag \$@" done echo "\$(srcdir)/gendir.sh:"
tagoh/liblangtag
liblangtag-gobject/gendeps.sh
Shell
lgpl-3.0
285
swig -python fib.i gcc -fpic -c fibmodule.c fib_wrap.c -I/usr/include/python2.7/ gcc -shared fibmodule.o fib_wrap.o -o _fib.so echo "Done." echo "call in python:" echo "import fib" echo "fib.fib(10)"
haphaeu/yoshimi
C_Extension/SWIG/fib/SwigCompileLink.sh
Shell
lgpl-3.0
200
#!/bin/sh NAME="${ALIAS}[$$]" quit () { echo "$(date -u +%R) * ${NAME} quits" | nc localhost 7000 } trap quit EXIT JOINMSG="$(date -u +%R) * ${NAME} joins" echo "${JOINMSG}" echo "${JOINMSG}" | nc localhost 7000 while read -r LINE do echo "$(date -u +%R) ${NAME}: ${LINE}" done | stdbuf -oL tr -d '\000-\011\0...
defanor/tlsd
examples/chat/tlsd-chat.sh
Shell
unlicense
349
rrdtool graph - \ --start=end-$ShortTime \ --title=Ylakerta \ --imgformat=PNG \ --width=$XSize \ --base=1000 \ --height=$YSize \ --right-axis 1:0 \ --interlaced \ DEF:b=$RRADIR/ylakerta.rrd:temp:AVERAGE \ DEF:c=$RRADIR/sannanhuone.rrd:temp:AVERAGE \ DEF:d=$RRADIR/jussinhuone.rrd:temp:AVERAGE \ LINE1:b#00BB5...
jussikin/homeAutomation
graphScripts/ylakerta.sh
Shell
unlicense
524
#!/bin/sh # Copyright 2017 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in wr...
google/ndash
tools/streamgen/trick_helper.sh
Shell
apache-2.0
1,868
#!/bin/bash c++ -std=c++17 -O3 -Wall -pedantic -Weffc++ -o popcnt_code_histograms -fopenmp popcnt_code_histograms.cpp c++ -std=c++17 -O3 -Wall -pedantic -Weffc++ -o pascals_triangle pascals_triangle.cpp
tuddbresilience/coding_reliability
xor_checksums/build.sh
Shell
apache-2.0
203
#!/bin/sh if [ -z $IFMAPCLI ]; then echo "set IFMAPCLI environment with 'export IFMAPCLI=/path/to/ifmapcli/jars'" exit 1 fi COMMAND="java -jar $IFMAPCLI" ################################################################################ IP_ADDRESS=10.0.0.1 MAC_ADDRESS=ee:ee:ee:ee:ee:ee USERNAME=joe echo "del...
MReichenbach/visitmeta
dataservice/src/main/templates/scripts/08-delete-sub-graph-from-02.sh
Shell
apache-2.0
409
#!/usr/bin/env bash if ! [[ "$0" =~ "tests/semaphore.test.bash" ]]; then echo "must be run from repository root" exit 255 fi TEST_SUFFIX=$(date +%s | base64 | head -c 15) TEST_OPTS="PASSES='build release e2e' MANUAL_VER=v3.3.7" if [ "$TEST_ARCH" == "386" ]; then TEST_OPTS="GOARCH=386 PASSES='build e2e'" fi do...
glevand/coreos--etcd
tests/semaphore.test.bash
Shell
apache-2.0
611
#!/usr/bin/env bash APP_PID=../log/app.pid APP=./app PKG_FILE=../kibana-5.2.0-darwin-x86_64.tar.gz WORKSPACE=$(cd $(dirname $0)/; pwd) cd $WORKSPACE function create() { if [ -f $APP_PID ]; then $APP stop || return $? fi tar -xf $PKG_FILE -C ../ if [ $? -ne "0" ]; then echo {\"err...
ChaosXu/nerv
cmd/logui/bin/create.sh
Shell
apache-2.0
369
#!/bin/bash # Copyright 2017, Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # * Redistributions of source code must retain the above copyright # notice, this list of conditio...
yongni/grpc
tools/run_tests/performance/run_worker_php.sh
Shell
apache-2.0
1,810
#!/bin/sh -x set -e apt-get update apt-get install --yes make clang g++ libc++-dev VERSION='2.18.0' cd /opt/ wget "https://github.com/stan-dev/cmdstan/releases/download/v${VERSION}/cmdstan-${VERSION}.tar.gz" tar -xzf "cmdstan-${VERSION}.tar.gz" mv "cmdstan-${VERSION}" "cmdstan" cd "cmdstan" make build -j4
thomasathorne/clj-stan
install/install_stan.sh
Shell
apache-2.0
313
#!/bin/bash # # Copyright 2015-2017 Red Hat, Inc. and/or its affiliates # and other contributors as indicated by the @author tags. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http:...
jpkrohling/hawkular-alerts
examples/tutorial/docker/build-images.sh
Shell
apache-2.0
2,589
#!/bin/bash curl -XPOST '172.17.0.33:8081/bank/account/_bulk?pretty' --data-binary "@data/accounts.json"
zhaochl/bash-utils
es/put_json_data.sh
Shell
apache-2.0
106
#!/bin/sh # # Script used to generate all the certificate files used in this example. # # Requirements: # # * openssl # * keytool (Java JDK 1.8.0+) # * certstrap (https://github.com/square/certstrap) # # See https://github.com/square/keywhiz/wiki/Development-and-test-key-material # # Generate a new CA certstrap init ...
zuazo/keywhiz-docker
examples/keygen/generate_files.sh
Shell
apache-2.0
1,588
#!/bin/bash -ex # This example can be used to manually run a scenario. Some edits and # customizations may be necessary to match a specific lab. # # Typically, the variables set here are representative of the variables # which would normally be passed from Jenkins jobs to the runner. export BUNDLE_SCENARIO="openstack...
ryan-beisner/charm-test-infra
runners/manual-examples/openstack-base-xenial-ocata-arm64-manual.sh
Shell
apache-2.0
919
#!/bin/bash set -o xtrace set -o errexit export REPO_URL=https://git.openstack.org export ZUUL_URL=/home/jenkins/cache-workspace mkdir -p $ZUUL_URL export ZUUL_REF=HEAD export WORKSPACE=/home/jenkins/workspace/testing mkdir -p $WORKSPACE export ZUUL_PROJECT=openstack/ironic export ZUUL_BRANCH=master # git clone $RE...
sommishra/devstack-gate-test
ansible/roles/devstack-gate/files/ironic-grenade.sh
Shell
apache-2.0
6,404
#!/bin/bash # treat unset variables as an error when substituting. set -u # exit immediately if a command exits with a nonzero exit status. set -e # py.test -x touch temp.db && rm temp.db django-admin.py migrate --noinput django-admin.py demo_data_login django-admin.py init_app_cms django-admin.py init_app_compose dja...
pkimber/hatherleighcommunitycentre_couk
init_dev.sh
Shell
apache-2.0
372
#!/bin/bash RED='\033[0;31m' GREEN='\033[0;32m' ORANGE='\033[0;33m' NC='\033[0m' while IFS=' ' read -ra line || [[ -n "$line" ]]; do if [ "${line[1]}" = "$1" ]; then ID="${line[2]}" fi done < "deploylog.txt" ARGS='' for var in ${@:3} do ARGS+="\"$var\", " done ARGS=${ARGS%,*} RESULT=$(curl -s -X POST --...
Earlvik/learn-chaincode
query.sh
Shell
apache-2.0
990
vagrant up vagrant ssh ansible-playbook /vagrant/provisioning/playbook.yml --connection=local # PHP HTTP cd ~/code/riak-php-client composer update ./vendor/bin/phpunit # PHP PB cp ~/code/riak-phppb-client/vendor/allegro/protobuf /tmp/ cd /tmp/protobuf phpize ./configure make sudo make install cd ~/code/riak-phppb-cl...
basho-labs/riak-clients-vagrant
provisioning/commands.sh
Shell
apache-2.0
732
#!/usr/bin/env bash if [ -n "$REDIS_MASTER" ]; then sed -i "s/^# slaveof\(.*\)$/slaveof $REDIS_MASTER 6379/" /etc/redis/redis.conf fi redis-server /etc/redis/redis.conf
webrecorder/webrecorder
redis/init-redis-conf.sh
Shell
apache-2.0
176
#!/bin/bash # Auto install astercc commercial and related packages # By Solo #### solo@astercc.org last modify 2012-04-17 # By Solo #### solo@astercc.org last modify 2013-02-06 for asterCC 1.2-beta # By Solo #### solo@astercc.org last modify 2013-05-20, ไฟฎๆญฃไบ†asteriskๆ€ปๆ˜ฏไฝฟ็”จasterccuser asterccsecretไฝœไธบAMI็”จๆˆท็š„bug # By Solo ###...
cake654326/UCServer-CC
installcc-centos.sh
Shell
apache-2.0
21,103
#!/usr/bin/env bash # # Copyright 2019 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
GoogleCloudPlatform/realtime-embeddings-matching
text-semantic-search/index_builder/submit.sh
Shell
apache-2.0
2,005
#! /bin/bash display_usage() { echo "give :" echo " 1- name of the node" echo " " } # if less than two arguments supplied, display usage if [ $# != 1 ] then display_usage exit 1 fi source ./configs/config.cfg echo " " echo "Now you can :" echo " $ sudo docker ps" echo " find the CONTAINER ID (on left)" echo...
tdeheurles/gcloudAutomation
sshMachine.sh
Shell
apache-2.0
515
#!/bin/bash # # Copyright 2014-2016 CyberVision, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
kaaproject/sample-apps
ota/source/cc32xx/build.sh
Shell
apache-2.0
2,406
#!/bin/bash source ./ci/functions.sh runBuild=false echo "Reviewing changes that might affect the Gradle build..." currentChangeSetAffectsTests retval=$? if [ "$retval" == 0 ] then echo "Found changes that require the build to run test cases." runBuild=true else echo "Changes do NOT affect project test cas...
tduehr/cas
ci/tests/mssqlserver/run-tests-mssqlserver.sh
Shell
apache-2.0
2,483
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=FlasCC-Windows CND_CONF=FlasCC-Release CND_DISTDIR=dist CND_BUILDDIR=build CND_DLIB_EXT=dll NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/l...
favedit/MoCross
Source/Library/LibJpeg/nbproject/Package-FlasCC-Release.bash
Shell
apache-2.0
1,458
step="core-dns-service" printf "Starting to run ${step}\n" . /etc/sysconfig/heat-params _dns_prefix=${CONTAINER_INFRA_PREFIX:-docker.io/coredns/} _autoscaler_prefix=${CONTAINER_INFRA_PREFIX:-gcr.io/google_containers/} CORE_DNS=/srv/magnum/kubernetes/manifests/kube-coredns.yaml [ -f ${CORE_DNS} ] || { echo "Writi...
ArchiFleKs/magnum
magnum/drivers/common/templates/kubernetes/fragments/core-dns-service.sh
Shell
apache-2.0
7,364
# Minimal: JSON http POST http://127.0.0.1:5000/bigdata/api/v1/products name=reference version=1.0.0 description='Reference product: minimal' curl -X PUT http://127.0.0.1:5000/bigdata/api/v1/products/reference/1.0.0/template --data-binary @templates/minimal.json -H "Content-type: application/json" curl -X PUT http://12...
bigdatacesga/paas-service
tests/register_templates.sh
Shell
apache-2.0
1,133
#!/usr/bin/env bash # ========================================================================= # | This is a script snippet that is included (via shell script sourcing) from # | a main build script. This snippet provides the required environment # | variables and functions to build the Boost and Fuego libraries. # | ...
puremourning/littlego
script/build-fuego.sh
Shell
apache-2.0
4,397
#!/bin/sh # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you m...
apache/lenya
src/webapp/lenya/bin/replicate.sh
Shell
apache-2.0
3,009
cp wildfly-helloworld-html5.war wildfly-10.1.0.Final/standalone/deployments
lucasponce/hawkular-alerts-demo
06_deploy-app.sh
Shell
apache-2.0
76
#!/bin/bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
ravihansa3000/kubernetes
cluster/log-dump.sh
Shell
apache-2.0
7,932
#!/bin/bash/ # # Licensed under the Apache License, Version 2.0 (the "License"). # You may not use this file except in compliance with the License. # A copy of the License is located at # # http://aws.amazon.com/apache2.0 # # or in the "license" file accompanying this file. This file is distributed # on an "AS IS" BAS...
ahedevops/sandbox
expirimental/deregister_from_elb.sh
Shell
apache-2.0
3,415
#!/bin/sh # # Copyright 2020 Google LLC. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
apigee/registry
auth/CLOUDRUN.sh
Shell
apache-2.0
1,821
#!/usr/bin/env bash #set -x if [[ $# -ne 2 ]]; then echo "usage: checkAllRules.sh inputFile outputFile" echo echo "where" echo " inputFile : filename or directory path" echo " outputFile : name of the output file for the results" echo exit fi inputFile=$1 outputFile=$2 echo -n "${inputFile}: " src/coun...
mirkoebert/simplejslint
src/checkAllRules.sh
Shell
apache-2.0
2,256
#!/bin/sh set -e mkdir -p "${CONFIGURATION_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}" RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" XCASSET_FILES="" install_resource() { case $1 in *.storyboard) echo "ibtool --errors --warnings --notices --output-format ...
z8927623/LumberjackConsole
Demo/Pods/Target Support Files/Pods/Pods-resources.sh
Shell
apache-2.0
4,038
#!/bin/sh # Converts a mysqldump file into a Sqlite 3 compatible file. It also extracts the MySQL `KEY xxxxx` from the # CREATE block and create them in separate commands _after_ all the INSERTs. # Awk is choosen because it's fast and portable. You can use gawk, original awk or even the lightning fast mawk. # The mys...
nebgnahz/CS268NetworkMeasurement
king/mysql2sqlite.sh
Shell
bsd-2-clause
3,036
#!/bin/bash if [ "$(uname)" = "Darwin" ]; then tmpdir="$(mktemp -d)" cp /bin/ls "$tmpdir" PATH=$tmpdir:$PATH trap 'rm -r "$tmpdir"' exit fi preload () { local library library=$1 shift if [ "$(uname)" = "Darwin" ]; then DYLD_INSERT_LIBRARIES=target/debug/"$library".dylib "$@" ...
geofft/redhook
test.sh
Shell
bsd-2-clause
560
#!/bin/sh ## one script to be used by travis, jenkins, packer... umask 022 if [ $# != 0 ]; then rolesdir=$1 else rolesdir=$(dirname $0)/.. fi [ ! -d $rolesdir/juju4.ipv6 ] && git clone https://github.com/juju4/ansible-ipv6 $rolesdir/juju4.ipv6 [ ! -d $rolesdir/juju4.redhat_epel ] && git clone https://github.com/juju...
juju4/ansible-harden
get-dependencies.sh
Shell
bsd-2-clause
1,628
#!/bin/bash set -e export PATH=./:$PATH # eq echo '"abc"' | R eq '"abc"' echo '1' | R eq '1' echo '1.0' | R eq '1.0' echo 'true' | R eq 'true' echo '[1,2,3]' | R eq '[1,2,3]' echo '{"a":{"b":1}}' | R eq '{"a":{"b":1}}' echo -e '"abc"\n"abc"' | R eq '"abc"' | uniq | R eq true # not eq echo '"abc"' | R not eq '"jkl"' ...
jpospychala/rcli
test.sh
Shell
bsd-2-clause
2,123
#!/bin/bash #usage ./nattorture.sh [interface[] [ip] [number of runs] [outfile] # A POSIX variable OPTIND=1 # Reset in case getopts has been used previously in the shell. # Initialize our own variables: interface="eth0" ip="" runs=10 output_file="out.csv" test_name="test" lockfile=nattorture.lock touch $l...
NATTools/stunclient
nattorture.sh
Shell
bsd-2-clause
1,086
#!/bin/bash rm -f *.rasl-module *.rasl caller ../../../bin/rlc --keep-rasls -OC -R module.sref ../../../bin/rlmake --keep-rasls -X-OC -X--markup-context caller.ref ./caller if [[ $? -gt 0 ]]; then echo TEST FAILED! exit 1 else echo Test OK! rm -f *.rasl-module *.rasl caller *.lst fi
Mazdaywik/simple-refal
autotests/dynamic/1-simple-load/run.sh
Shell
bsd-2-clause
293
#!/bin/sh -e set -e echo "test => $0" printf "/ ^d.*.[abck]ey[0-9]$\n" |${KC_RUN} -b -k ${KC_DB} -p ${KC_PASSFILE} SHA1=$(printf "/ ^d.*.[abck]ey[0-9]+$\n" |${KC_RUN} -b -k ${KC_DB} -p ${KC_PASSFILE} |grep -E -v -e '^<default% >' -e "^Opening '${KC_DB}'" -e "^Using '${KC_DB}' database." -e "^Using password file: ${...
levaidaniel/kc
regress/cmd_searchre.sh
Shell
bsd-2-clause
5,110
#!/bin/bash # Copyright 2015, Google Inc. # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: # # * Redistributions of source code must retain the above copyright # notice, this list of conditio...
bjori/grpc
src/php/bin/run_tests.sh
Shell
bsd-3-clause
1,962
#!/bin/bash -eu # Copyright (c) 2010 The Chromium OS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # # Run tests for cgpt utility. # Load common constants and variables. . "$(dirname "$0")/common.sh" CGPT=$(readlink -f "${1:-./cgpt...
ionave/seismograph
tests/run_cgpt_tests.sh
Shell
bsd-3-clause
16,300
# we create the structure to hold the html pages mkdir content pushd content mkdir fs appliance team popd USEROPT="-u $(id -u):$(id -g) -v /etc/passwd:/etc/passwd:ro -v /etc/group:/etc/group:ro" # we create the "main" websites using the docker image included in the repo pushd web-team docker build . -t web-team:late...
cernvm/ci-scripts
web/create_website.sh
Shell
bsd-3-clause
990
# SPDX-License-Identifier: BSD-3-Clause source helpers.sh cleanup() { rm -f primary.ctx decrypt.ctx key.pub key.priv key.name decrypt.out \ encrypt.out secret.dat key.dat evict.log primary.ctx key.ctx if [ "$1" != "no-shut-down" ]; then shut_down fi } trap cleanup EXIT start_up cleanup "no-shut...
01org/tpm2.0-tools
test/integration/tests/evictcontrol.sh
Shell
bsd-3-clause
1,371
#!/bin/bash -ex # phb-manage.sh runs manage.py with oblivious hand-wavey default settings # suitable for management commands that will work despite the wildly ignorant # nature of hand-wavey default settings. this is especially useful for running # management commands during the docker build process. # # Usage: phb-ma...
willkg/standup
bin/phb-manage.sh
Shell
bsd-3-clause
610
#!/bin/bash # # Provisioning File # echo "Begin Provisioning " uname -a echo "Repository update and upgrade" sudo apt-get update sudo apt-get upgrade echo "Install Apache2" sudo apt-get -y install apache2 sudo cp /vagrant/.vagrant-provision/banthecan.conf /etc/apache2/sites-available sudo cp /vagrant/.vagrant-provisi...
gooGooGaJoob/banthecan
.vagrant-provision/provision.sh
Shell
bsd-3-clause
1,689
#!/bin/bash # # Launch a docker running the CloudSQL proxy. # Connect to a database with psql. # When psql exits, kill the proxy. # # Input: # wsm or stairway - which database to connect to # sql script # # You must have run the write-config script to set up all of the connection information scriptdir="$( cd "$( dir...
DataBiosphere/terra-workspace-manager
scripts/run-sql-script.sh
Shell
bsd-3-clause
1,593
#!/bin/bash set -e export HOME="/root" export PATH="${ROOT}/build/bin:${PATH}" export BACKOFF_PERIOD="5s" main() { if [[ -n "${ROUTER_IP}" ]] && [[ -n "${DOMAIN}" ]]; then echo "${ROUTER_IP}" \ "${DOMAIN}" \ "controller.${DOMAIN}" \ "git.${DOMAIN}" \ "images.${DOMAIN}" \ "dashboar...
lmars/flynn
test/run.sh
Shell
bsd-3-clause
462
#!/bin/bash -e # Settings REPO_PATH=git@github.com:pulsar-chem/Pulsar-Core.git HTML_PATH=html COMMIT_USER="Documentation Builder" CHANGESET=$(git rev-parse --verify HEAD) # Get a clean version of the HTML documentation repo. git clone -b gh-pages "${REPO_PATH}" --single-branch ${HTML_PATH} # rm all the files through...
pulsar-chem/Pulsar-Core
.travis/publish-doxygen.sh
Shell
bsd-3-clause
667
#!/usr/bin/env bash # # before_install # sudo dpkg -i ./epics/*.deb
archman/phantasy
ci/install_epics.sh
Shell
bsd-3-clause
71
#!/usr/bin/env bash TESTFILE1=$(mktemp -p .) if [ -x "$(command -v python3)" ]; then PYTHON=$(command -v python3) else PYTHON=$(command -v python) fi ${PYTHON} << END import random as rnd import time as time rnd.seed(time.time()) randnum = rnd.sample(range(1,101), 18) f1 = open("${TESTFILE1}", "w+") for m in ran...
hfp/libxsmm
samples/eltwise/kernel_test/reduce_add_cols_x_x2_16b_gtld.sh
Shell
bsd-3-clause
924
#!/bin/bash USE_LIBJPEG=0 USE_PNG=0 if [ "$#" -eq 0 ]; then echo "Usage: install_submodules.sh <TIRAMISU_ROOT_PATH>" exit 1 fi PROJECT_SRC_DIR=$1 CMAKE=cmake CORES=1 # For Travis build we skip LLVM installation and use a custom binary. # Second argument specifies the custom path of the LLVM bin dir. if [ "$2" = "...
rbaghdadi/COLi
utils/scripts/install_submodules.sh
Shell
mit
3,003
setopt correct_all alias man='nocorrect man' alias mv='nocorrect mv' alias mysql='nocorrect mysql' alias mkdir='nocorrect mkdir'
xsyn/dotfiles
zsh/lib/correction.zsh
Shell
mit
130
#!/bin/bash cd "$(dirname "$BASH_SOURCE")" \ && source '../../utils.sh' \ # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - main() { # Remove packages that were automatically installed to satisfy # dependencies for other other packages and are no longer needed execute 'sudo ap...
gaboesquivel/dotfiles
os/ubuntu/installs/cleanup.sh
Shell
mit
365
#!/usr/bin/env sh pacman -Qqe > ../pacman.txt yay -Qqe > ../yay.txt
aflavio/another-dotfiles
scripts/bin/installed_apps.sh
Shell
mit
69
#!/bin/sh PROJ=test_migrate SETTINGS=--settings=tests.$PROJ.settings # test for Issue 190 # "Best way to run in environments without connectivity to Salesforce API? #190" # Test with two "sqlite3" databases and SalesforceModels # Verify that tables with SalesforceModels # - are created in "salesforce" database and ...
django-salesforce/django-salesforce
tests/test_migrate/test.sh
Shell
mit
1,116
#!/bin/sh case "$1" in 0) echo AWS_DEFAULT_REGION=us-east-1 echo AWS_REGION=us-east-1 echo RACK_BUILD_INSTANCE=t2.small ;; 1) echo AWS_DEFAULT_REGION=us-west-2 echo AWS_REGION=us-west-2 echo RACK_PRIVATE=true ;; 2) echo AWS_DEFAULT_REGION=eu-west-1 echo AWS_REGION=eu-west-...
mattatcha/terraform-provider-convox
vendor/github.com/convox/rack/ci/region.sh
Shell
mit
411
#! /bin/bash -eux # Copyright (C) 2015 mru@sisyphus.teil.cc source ${srcdir}/common.sh readonly faketime=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1 if ! [[ -e $faketime ]]; then echo "libfaketime not found; can't execute testcases" exit 77 fi export LD_PRELOAD=$faketime export FAKETIME="2014-01-...
ajfclark/crane_gps_watch
test/012_dst_time.sh
Shell
gpl-2.0
361
#!/bin/bash # Copyright (c) 2010, 2013, Oracle and/or its affiliates. All rights reserved. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distri...
MrDunne/myblockchain
storage/ndb/test/crund/scripts/stop_cluster.sh
Shell
gpl-2.0
866
#!/bin/bash source test-generate-common.sh source test-common.sh source test-config.sh source test-generate-hadoop-helper.sh source test-generate-zookeeper-helper.sh __GenerateHiveStandardTests_StandardPerformanceEval() { local hiveversion=$1 local hadoopversion=$2 local zookeeperversion=$3 local java...
chu11/magpie
testsuite/test-generate-hive.sh
Shell
gpl-2.0
5,718
dd if=/dev/zero of=floppya.img bs=512 count=2880 dd if=bootload of=floppya.img bs=512 count=1 conv=notrunc bcc -ansi -c -o kernel.o kernel.c as86 kernel.asm -o kernel_asm.o ld86 -o kernel -d kernel.o kernel_asm.o dd if=kernel of=floppya.img bs=512 conv=notrunc seek=3 bochs -f opsys.bxrc
jmibarrad/scratchOS
ProjectB/compileOS.sh
Shell
gpl-2.0
300
#!/bin/bash # # cppcheck.sh # Script to run CppCheck Static Analyzer. # http://cppcheck.sourceforge.net/ # # $Id: cppcheck.sh 45542 2012-10-14 19:30:33Z eapache $ # # Wireshark - Network traffic analyzer # By Gerald Combs <gerald@wireshark.org> # Copyright 2012 Gerald Combs # # This program is free software; you can r...
MavEtJu/wireshark-lean
tools/cppcheck/cppcheck.sh
Shell
gpl-2.0
2,469
#!/bin/sh # # $Id$ # OWFS setup routines for SUSE systems # Written by Paul Alfille and others. # udev routines by Peter Kropf # GPL v2 license (like all of OWFS) # copyrite 12/2006 Paul H Alfille # ### ------------------ ### -- Constants ----- ### ------------------ OWFS_GROUP=ow # # ### ----------------- ### -- Gro...
bootc/owfs-cvsimport
src/scripts/usb/suse_setup.sh
Shell
gpl-2.0
1,872
#!/bin/bash # Script to report the platform. platform='unknown' unamestr=`uname` if [[ "$unamestr" == 'Darwin' ]]; then platform='MAC' elif [[ "$unamestr" == *CYGWIN* ]]; then platform='WIN' elif [[ "$unamestr" == "Linux" ]]; then platform='LINUX' fi echo ${platform}
teamfx/openjfx-10-dev-rt
modules/jdk.packager/src/test/examples/whichplatform.sh
Shell
gpl-2.0
280
#!/bin/bash cd $(dirname $(readlink -f $0)) java -Dfile.encoding=UTF-8 -jar PhantomBot.jar
gmt2001/PhantomBot
res/launch-service.sh
Shell
gpl-3.0
93
#!/bin/sh ./runctest.sh tBlobSTL
jjdmol/LOFAR
LCS/Blob/test/tBlobSTL.sh
Shell
gpl-3.0
33
#!/bin/bash loops="${1:-1}" prefix="${2:-codeclonedetection}" th="${3:-8}" # naive with overlap for ((c=1;c<=$loops;c++)) do echo "running java -jar dist/noindex.CloneDetector.jar $prefix $th overlap" java -Xms4g -Xmx4g -jar dist/noindex.CloneDetector.jar $prefix $th overlap done # naive with jaccard for ((c=1;c<=$...
Hexcles/SourcererCC
clone-detector/run.sh
Shell
gpl-3.0
2,772
#!/bin/sh # # config.sh - multi-language support configuration script # Definition of absolute paths etc. # This file is 'included' in all scripts. # # Arduino main folder: if [ -z "$ARDUINO" ]; then export ARDUINO=C:/arduino-1.8.5 fi # # Arduino builder: export BUILDER=$ARDUINO/arduino-builder # # AVR gcc tools:...
prusa3d/Prusa-Firmware
lang/config.sh
Shell
gpl-3.0
1,779
#!/bin/sh # Copyright (c) 2009-2016 The Open Source Geospatial Foundation. # Licensed under the GNU LGPL. # # This library is free software; you can redistribute it and/or modify it # under the terms of the GNU Lesser General Public License as published # by the Free Software Foundation, either version 2.1 of the Lice...
guygriffiths/OSGeoLive
bin/install_tinyows.sh
Shell
lgpl-2.1
2,019
#!/bin/bash # add Anaconda 2.0.1 (for GDAL and scipy) export PATH="/work/users/thare/python/anaconda/bin:$PATH" echo "gdal_CTX_RoverSlope_crop.pl $1" | msub -V -S /bin/bash -d `pwd` -l walltime=72:00:00 -j oe -o LOG_baselineSlope.txt
USGS-Astrogeology/GDAL_scripts
gdal_baseline_slope/run_gdal_CTX_RoverSlope_crop.sh
Shell
unlicense
240
#!/bin/bash # Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"). # You may not use this file except in compliance with the License. # A copy of the License is located at # # http://aws.amazon.com/apache2.0 # # or in the "license" file ...
colmmacc/s2n
codebuild/bin/install_z3_yices.sh
Shell
apache-2.0
1,316
#!/bin/bash ############################################################################### ## ## Description: ## What does this script? ## What's the result the case expected? ## ############################################################################### ## ## Revision: ## v1.0 - xiaofwan - 1/6/2017 - Draft...
VirtQE-S1/ESX-LISA
remote-scripts/debug_demo.sh
Shell
apache-2.0
1,152
#!/usr/bin/env bash bin=`readlink "$0"` if [ "$bin" == "" ]; then bin=$0 fi bin=`dirname "$bin"` bin=`cd "$bin"; pwd` . "$bin"/chorus-config.sh if [ -f $SOLR_PID_FILE ]; then if kill -0 `cat $SOLR_PID_FILE` > /dev/null 2>&1; then log_inline "stopping solr " kill `cat $SOLR_PID_FILE` && rm $SOLR_PID_FILE ...
mpushpav/chorus
packaging/stop-solr.sh
Shell
apache-2.0
509
#!/bin/bash set -o nounset set -o errexit cd "$(dirname "$0")" source $INSTALLER_ROOT/utils/mac_utils.sh mkdir -p "$BUNDLE_CONTENTS/Lib" #cp -pr $QT_DIR/lib/libQt5MultimediaWidgets.so* $PWD/../data/lib/ #cp -pr $QT_DIR/lib/libQt5OpenGL.so* $PWD/../data/lib/ git clone --depth 1 https://github.com/trikset/trik-des...
RomanBelkov/qreal
installer/packages/trik-studio/ru.qreal.root.trik.gamepad/meta/prebuild-mac.sh
Shell
apache-2.0
645
#!/usr/bin/env bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "Licens...
little-cui/service-center
scripts/release/start_scripts/darwin/start-service-center.sh
Shell
apache-2.0
966
#!/bin/bash -ue # Copyright (C) 2013 Quark Security, Inc # Copyright (C) 2013 Cubic Corporation # # Authors: Spencer Shimko <spencer@quarksecurity.com> check_and_create_repo_dir () { repo_name=$1 repo_path=`sed -rn "s/^$repo_name = (.*)/\\1/p" CONFIG_REPOS` if [ ! -d $repo_path ]; then /bin/echo "$repo_name repo...
rprevette/clip
bootstrap.sh
Shell
apache-2.0
10,225
#!/bin/bash # Testing mc config hosts # 1. Get number of previous hosts # 2. Add a host # 3. Assert the increase in number of hosts by one. # 4. Delete the new host initial_count=`mc config host list | wc -l` add_test_result=`mc config --json host add testdisk https://storage.googleapis.com BKIKJAA5BMMU2RHO6IBB V...
harshavardhana/mc
tests/tests/config-host-test.sh
Shell
apache-2.0
955
#!/bin/bash if [ "$#" -ne 1 ]; then echo "First argument must be the shell used" exit 1 fi sudo apt-get update -y sudo apt-get -y install software-properties-common python-software-properties sudo add-apt-repository ppa:git-core/ppa sudo apt-get update -y sudo apt-get -y install curl git vim zsh ruby1.9.3 mkdir /...
mirceal/beekeeper
test/e2e/beetest.sh
Shell
apache-2.0
884
#!/bin/sh # # Copyright (c) 2003 Dan Nelson # All rights reserved. # # Please see src/share/examples/etc/bsd-style-copyright. # # $FreeBSD: soc2013/dpl/head/usr.sbin/mtree/test/test02.sh 121841 2003-10-31 13:39:19Z phk $ # set -e TMP=/tmp/mtree.$$ rm -rf ${TMP} mkdir -p ${TMP} ${TMP}/mr ${TMP}/mt touch -t 199901020...
dplbsd/soc2013
head/usr.sbin/mtree/test/test02.sh
Shell
bsd-2-clause
652
#!/bin/sh - # Copyright (c) 2013 Garrett Cooper # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of cond...
jrobhoward/SCADAbase
include/mk-osreldate.sh
Shell
bsd-3-clause
1,875
#!/bin/bash if [ $# != 1 ] then echo "Usage: $0 <Server-IP>" exit 1 fi; IP=$1 LOG_DIR=./log/`hostname` mkdir -p $LOG_DIR function clean_up { # Perform program exit housekeeping kill %1 %2 %3 %4 # kill any running child exit } trap clean_up SIGINT SIGTERM SIGHUP function run_test() { echo -e "\n# >> running...
shekkbuilder/sockperf
tests/avner-master-test.sh
Shell
bsd-3-clause
3,461
#!/bin/sh # # VieleRETS upgrade to 1.1.6 script for MAC OSX, Unix and Linux # mkdir logs chmod 777 logs
dkullmann/vielerets
upgrade.sh
Shell
mit
108
# # AUR aliases # # download and build AUR package aurb() { git clone https://aur.archlinux.org/${1}.git && cd ${1} && makepkg --clean --install --syncdeps } # only download aur package; do not build aurd() { git clone https://aur.archlinux.org/${1}.git } # remove old package, rebuild, and install. #NOTE: this ...
Eriner/zim
modules/pacman/helper_aur.zsh
Shell
mit
565
#!/bin/bash transitd-cli --set gateway.enabled=yes /start.cli.sh
transitd/transitd
docker/start.gateway.cli.sh
Shell
mit
65